Subject: RE: bug#45821: Emacs UDP support on Windows

From: Alex Matei <[email-masked]>
Date: Thu, 12 Jan 2023 10:14:49 +0000

Thanks, that was my expectation.

To be clear, I ran WSL just to assert that the networking tests are correct & that they pass on Linux ✅.

❌When it comes to Windows, unfortunately I wasn’t able to find a baseline build where the network tests are passing ☹🤷‍♂️

  *   Running the tests using the official Windows binaries for Emacs 28.1 fail ❌
  *   Same applies when running the tests from my dev build of Emacs, using the latest master branch ❌
  *   And of course, same applies to my patched Emacs that has UDP support ❌

So my conclusion thus far is that the network tests didn’t pass on Windows for a while now, and I have no idea if our UDP patch is introducing regressions since I don’t have a good baseline.

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Eli Zaretskii<mailto:[email-masked]>
Sent: Thursday, January 12, 2023 2:08 AM
To: Robert Pluim<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: bug#45821: Emacs UDP support on Windows

> From: Robert Pluim <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  "[email-masked]"
>  <[email-masked]>
> Date: Thu, 12 Jan 2023 10:22:17 +0100
>
> >>>>> On Wed, 11 Jan 2023 13:23:03 +0000, Alex Matei <[email-masked]> said:
>
>     Alex> ✅Network tests are passing in WSL Emacs.. => Windows has issues, and might have always had them? 🤷‍♂️
>
> Thatʼs without a doubt true. Iʼm using MSYS2 to build Emacs and run
> the tests, Iʼve not tried WSL at all. Eli, what environment should we
> be using to build and test Emacs on MS-Windows? I know there are
> legion, and I always forget the differences.

The environment should be native Windows, not WSL.  WSL is Unix
running in a VM.

As for "using MSYS2", if that boils down to invoking Emacs from the
MSYS2 Bash prompt, it is still native Windows, and should not affect
the tests.